Bug 56747 - telnet 0.10.31 crashes
telnet 0.10.31 crashes
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
http://webs.sinectis.com.ar/kisero/te...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-26 16:37 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-26 16:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-26 16:37:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18pre11-va2.1 i686)

Description of problem:
the telnet client version .010.31 crashs when calls the strcpy() function
(seems that when the argument (host to connect to) is too long crashs. (SIG
11)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
root@snmon /root]# telnet
sinectis-rogelioibarra.rogelioibarra-enlace.capfed1.sinectis.com.ar
Trying 216.244.192.63...
Segmentation fault (core dumped)
[root@snmon /root]#

Actual Results:  Segmentation fault (core dumped)

Expected Results:  [kisero@kisero kisero]$ telnet
sinectis-rogelioibarra.rogelioibarra-enlace.capfed1.sinectis.com.ar
Trying 216.244.192.63...
Connected!


Additional info:

the url i set explains step by step wehat i did to verify the bug. i tested
in three differetn plataforms (HP and Compaq i386) 

the version must be Cartman (6.1) 

greets, kisero@sinectis.com
Comment 1 Harald Hoyer 2001-12-13 08:47:28 EST
6.1 is unsupported. recommendation: upgrade to 6.2..

Upgrade to 6.2's:
telnet-0.16-6.i386.rpm
telnet-server-0.16-6.i386.rpm

or better the update for 6.2:
telnet-0.17.6x-18.i386.rpm             
telnet-server-0.17.6x-18.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.